# This file is a template, and might need editing before it works on your project.
# Modified the original `Go` template with changed marked below.
image: golang:latest

variables:
  # Please edit to your GitLab project
  # Meetup: Edited project URL
  REPO_NAME: gitlab.com/dnsmichi/collision-from-home-2020

# The problem is that to be able to use go get, one needs to put
# the repository in the $GOPATH. So for example if your gitlab domain
# is gitlab.com, and that your repository is namespace/project, and
# the default GOPATH being /go, then you'd need to have your
# repository in /go/src/gitlab.com/namespace/project
# Thus, making a symbolic link corrects this.
before_script:
  - mkdir -p $GOPATH/src/$(dirname $REPO_NAME)
  - ln -svf $CI_PROJECT_DIR $GOPATH/src/$REPO_NAME
  - cd $GOPATH/src/$REPO_NAME

stages:
  - test
  - build
  - deploy

format:
  stage: test
  script:
    - go fmt $(go list ./... | grep -v /vendor/)
    - go vet $(go list ./... | grep -v /vendor/)
    - go test -race $(go list ./... | grep -v /vendor/)

# Meetup: Rename 'my-app' to 'tanuki' below
compile:
  stage: build
  script:
    - go build -race -ldflags "-extldflags '-static'" -o $CI_PROJECT_DIR/tanuki
  artifacts:
    paths:
      - tanuki

# Meetup: Added this job
run:
  stage: deploy
  script:
    - ./tanuki
